Bug 1273535 - Changing the default filter settings and navigating to that page displays blank screen.
Changing the default filter settings and navigating to that page displays bla...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.4.4
Assigned To: Aparna Karve
Jeff Teehan
: ZStream
: 1276001 (view as bug list)
Depends On: 1271077
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 12:09 EDT by Chris Pelland
Modified: 2015-12-16 08:18 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1271077
Environment:
Last Closed: 2015-12-16 08:18:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Aparna Karve 2015-10-28 13:06:59 EDT
*** Bug 1276001 has been marked as a duplicate of this bug. ***
Comment 3 CFME Bot 2015-10-29 10:08:52 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=578231037aac52cf54313e895e5f015eb929d653

commit 578231037aac52cf54313e895e5f015eb929d653
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Oct 20 10:04:35 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Oct 20 10:04:35 2015 -0700

    used an alternative approach to the 'controller_referrer?' method
    
    controller_referrer? uses
    Rails.application.routes.recognize_path(request.referrer) which gives a
    routing error if the request.referrer action is of type 'post'. Since it
    is not possible to tell if the request.referrer action is a get or post,
    using this approach is not always feasible.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273535

 vmdb/app/controllers/vm_cloud_controller.rb       |  2 +-
 vmdb/app/controllers/vm_common.rb                 |  2 +-
 vmdb/app/controllers/vm_infra_controller.rb       |  2 +-
 vmdb/app/controllers/vm_or_template_controller.rb |  2 +-
 vmdb/app/helpers/application_helper.rb            |  6 +-----
 vmdb/spec/controllers/vm_infra_controller_spec.rb | 15 +++++++++++++--
 6 files changed, 18 insertions(+), 11 deletions(-)
Comment 4 CFME Bot 2015-10-29 10:08:58 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2b7a81e571628a4643c990b7f5e2f01471cc812e

commit 2b7a81e571628a4643c990b7f5e2f01471cc812e
Merge: dcfb5c2 5782310
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Thu Oct 29 09:58:39 2015 -0400
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Thu Oct 29 09:58:39 2015 -0400

    Merge branch 'bz1273535_fix_referrer_issue' into '5.4.z'
    
    BZ1273535 - used an alternative approach to the 'controller_referrer?' method
    
    Used an alternative approach to determine when to skip creating a breadcrumb instead of using the controller_referrer? method.
    
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/4979
    Part of the fix was applied manually.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273535
    
    See merge request !299

 vmdb/app/controllers/vm_cloud_controller.rb       |  2 +-
 vmdb/app/controllers/vm_common.rb                 |  2 +-
 vmdb/app/controllers/vm_infra_controller.rb       |  2 +-
 vmdb/app/controllers/vm_or_template_controller.rb |  2 +-
 vmdb/app/helpers/application_helper.rb            |  6 +-----
 vmdb/spec/controllers/vm_infra_controller_spec.rb | 15 +++++++++++++--
 6 files changed, 18 insertions(+), 11 deletions(-)
Comment 6 Jeff Teehan 2015-12-09 14:52:01 EST
Using 5.4.4.x3 on https://10.16.7.189/vm_infra/explorer

I followed the steps exactly without issue.  I tried a few ad hoc changes as well and the page seems to load just fine.

Moving to Verified
Comment 8 errata-xmlrpc 2015-12-16 08:18:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.